Name:		org.tizen.multi-assistant-service
Summary:	Multi assistant service
Version:	0.2.10
Release:	1
Group:		Graphics & UI Framework/Voice Framework
License:	Flora-1.1
Source:		%{name}-%{version}.tar.gz
Source1001:	%{name}.manifest

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

BuildRequires: pkgconfig(capi-appfw-application)
BuildRequires: pkgconfig(capi-appfw-app-manager)
BuildRequires: pkgconfig(capi-appfw-package-manager)
BuildRequires: pkgconfig(capi-appfw-service-application)
BuildRequires: pkgconfig(capi-media-audio-io)
BuildRequires: pkgconfig(capi-network-connection)
BuildRequires: pkgconfig(dlog)
BuildRequires: pkgconfig(ecore)
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(libtzplatform-config)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(multi-assistant)
BuildRequires: pkgconfig(vconf)
BuildRequires: pkgconfig(pkgmgr-info)
%if "%{tizen_profile_name}" == "tv"
BuildRequires:  pkgconfig(vd-win-util)
BuildRequires:  pkgconfig(capi-network-bluetooth)
BuildRequires:  pkgconfig(capi-network-bluetooth-tv)
#BuildRequires:  pkgconfig(msfapi)
BuildRequires:  pkgconfig(farfield-voice-api)
%endif


BuildRequires: boost-system
BuildRequires: boost-thread
BuildRequires: cmake


%description
org.tizen.multi-assistant-service (application)

%define _usrdir	/usr
#%define _appdir	%{_usrdir}/apps/org.tizen.multi-assistant-service/
%define _appdir	%{TZ_SYS_RO_APP}/%{name}
%define _bindir %{_appdir}/bin/

%prep
%setup -q
cp %{SOURCE1001} .

%build
LDFLAGS="$LDFLAGS -Wl,-z -Wl,nodelete"
%if 0%{?sec_build_binary_debug_enable}
	export CFLAGS="$CFLAGS -DTIZEN_DEBUG_ENABLE"
	export CXXFLAGS="$CXXFLAGS -DTIZEN_DEBUG_ENABLE"
	export FFLAGS="$FFLAGS -DTIZEN_DEBUG_ENABLE"
%endif

export LDFLAGS
cmake \
%if "%{tizen_profile_name}" == "tv"
      -D_TV_PRODUCT=TRUE \
%endif
      -DCMAKE_INSTALL_PREFIX=%{_appdir} \
      -DTZ_SYS_RO_SHARE=%TZ_SYS_RO_SHARE \

make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{TZ_SYS_RO_SHARE}/license
cp LICENSE.Flora %{buildroot}%{TZ_SYS_RO_SHARE}/license/%{name}

%make_install

%post
mkdir -p %{_bindir}
mkdir -p %{_libdir}/multiassistant/ma/1.0/engine

/sbin/ldconfig
exit 0

%postun
/sbin/ldconfig
exit 0

# INITIALIZE VCONF ------------------------------------------------------------

%files
%manifest %{name}.manifest
%defattr(-,root,root,-)
/usr/share/license/*
/usr/share/packages/org.tizen.multi-assistant-service.xml
%{TZ_SYS_RO_SHARE}/multiassistant/libma-wakeup-manager.so
%if "%{tizen_profile_name}" == "tv"
%{TZ_SYS_RO_SHARE}/multiassistant/libma-dependency-tv.so
%else
%{TZ_SYS_RO_SHARE}/multiassistant/libma-dependency-default.so
%endif
#%{_appdir}/lib/*
%{_appdir}/bin/*
#%defattr(-,app,app,-)
#%{_bindir}/org.tizen.multi-assistant-service
