/*
 * Copyright 2018  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef _DEPENDENCY_DEFAULT_AUDIO_H_
#define _DEPENDENCY_DEFAULT_AUDIO_H_

void dependency_default_audio_initialize(mas_proxy_interface interface);
void dependency_default_audio_deinitialize();

void dependency_default_audio_start_recording();
void dependency_default_audio_stop_recording();

void dependency_default_audio_set_recording_session(unsigned int session);

void dependency_default_audio_voice_key_pressed_set(bool pressed);

void dependency_default_audio_set_background_volume(double ratio);

void dependency_default_audio_get_audio_format(int* rate, int* channel, int* audio_type);
void dependency_default_audio_get_audio_source_type(char** type);

#endif //_DEPENDENCY_DEFAULT_AUDIO_H_
