#include "dependency_tv.h"
#include "dependency_tv_audio.h"
#include "dependency_tv_button.h"

static mas_proxy_interface g_proxy_interface;
const int g_dependency_version = 1;

int mas_dependency_initialize(mas_proxy_interface interface, int *dependency_version)
{
	g_proxy_interface = interface;

	dependency_tv_audio_initialize(interface);
	dependency_tv_button_initialize(interface);

	if (dependency_version) {
		*dependency_version = g_dependency_version;
	}

	return 0;
}

int mas_dependency_deinitialize(void)
{
	dependency_tv_audio_deinitialize();
	dependency_tv_button_deinitialize();

	return 0;
}

int mas_dependency_set_error_callback(mas_dependency_error_cb callback, void* user_data)
{
	return 0;
}

int mas_dependency_start_recording(void)
{
	dependency_tv_audio_start_recording();
	return 0;
}

int mas_dependency_stop_recording(void)
{
	dependency_tv_audio_stop_recording();
	return 0;
}

int mas_dependency_set_recording_session(unsigned int session)
{
	dependency_tv_audio_set_recording_session(session);
	return 0;
}

int mas_dependency_set_background_volume(double ratio)
{
	dependency_tv_audio_set_background_volume(ratio);
	return 0;
}

int mas_dependency_get_audio_format(int* rate, int* channel, int* audio_type)
{
	dependency_tv_audio_get_audio_format(rate, channel, audio_type);
	return 0;
}

int mas_dependency_get_audio_source_type(char** type)
{
	dependency_tv_audio_get_audio_source_type(type);
	return 0;
}

