/*
 * Copyright 2018  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef _WAKEUP_INTERFACES_H_
#define _WAKEUP_INTERFACES_H_

typedef struct {
	const char *wakeup_appid;
	const char *wakeup_word;
	const char *wakeup_language;
	const char *wakeup_voice_id;
	const char *wakeup_engine;
	float wakeup_confidence_score;

	long wakeup_start_time;
	long wakeup_end_time;
	bool wakeup_time_valid;

	const void *extra_data;
	int extra_data_length;
	const char *extra_data_description;
} wakeup_event_info;

typedef enum {
	WAKEUP_SPEECH_STREAMING_EVENT_FAIL = -1,    /**< Failed */
	WAKEUP_SPEECH_STREAMING_EVENT_START = 1,    /**< Start event */
	WAKEUP_SPEECH_STREAMING_EVENT_CONTINUE = 2, /**< Continue event */
	WAKEUP_SPEECH_STREAMING_EVENT_FINISH = 3    /**< Finish event */
} wakeup_speech_streaming_event_e;

typedef struct {
	wakeup_speech_streaming_event_e event;
	void* buffer;
	int len;
} wakeup_speech_data;

#endif /* _WAKEUP_INTERFACES_H_ */