#ifndef __MUTLI_WAKEUP_MAIN_H__
#define __MUTLI_WAKEUP_MAIN_H__

#include <dlog.h>
#include <glib.h>

#ifdef __cplusplus
extern "C" {
#endif


#ifdef  LOG_TAG
#undef  LOG_TAG
#endif
#define LOG_TAG "wakeup-manager"

#ifdef __MODULE__
#undef  __MODULE__
#endif
#define __MODULE__ (strrchr(__FILE__, '/') ? strrchr(__FILE__, '/') + 1 : __FILE__)

#define MWR_SECURE_LOG_(id, prio, tag, fmt, arg...) \
        ({ do { \
                __dlog_print(id, prio, tag, "%s: %s(%d) > [SECURE_LOG] " fmt, __MODULE__, __func__, __LINE__, ##arg); \
        } while (0); })

#define MWR_LOG_(prio, tag, fmt, arg...) \
        ({ do { \
                dlog_print(prio, tag, "%s: %s(%d) > " fmt, __MODULE__, __func__, __LINE__, ##arg); \
        } while (0); })

#define MWR_LOGD(fmt, args...) MWR_LOG_(DLOG_DEBUG, LOG_TAG, fmt, ##args)
#define MWR_LOGI(fmt, args...) MWR_LOG_(DLOG_INFO, LOG_TAG, fmt, ##args)
#define MWR_LOGW(fmt, args...) MWR_LOG_(DLOG_WARN, LOG_TAG, fmt, ##args)
#define MWR_LOGE(fmt, args...) MWR_LOG_(DLOG_ERROR, LOG_TAG, fmt, ##args)

#define MWR_SLOGD(fmt, args...) MWR_SECURE_LOG_(DLOG_DEBUG, LOG_TAG, fmt, ##args)
#define MWR_SLOGI(fmt, args...) MWR_SECURE_LOG_(DLOG_INFO, LOG_TAG, fmt, ##args)
#define MWR_SLOGW(fmt, args...) MWR_SECURE_LOG_(DLOG_WARN, LOG_TAG, fmt, ##args)
#define MWR_SLOGE(fmt, args...) MWR_SECURE_LOG_(DLOG_ERROR, LOG_TAG, fmt, ##args)

#ifdef __cplusplus
}
#endif

#endif /* __MUTLI_WAKEUP_MAIN_H__ */
