/*
 * Copyright 2018  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef _WAKEUP_POLICY_DEFAULT_H_
#define _WAKEUP_POLICY_DEFAULT_H_

#include "wakeup_policy.h"

#include <vector>
#include <string>

#include <Ecore.h>

namespace multiassistant
{
namespace wakeup
{

using namespace std;

class CWakeupPolicyDefault : public CWakeupPolicy
{
public:
	CWakeupPolicyDefault();
	CWakeupPolicyDefault(IPolicyEventObserver *observer);
	~CWakeupPolicyDefault();

	void set_assistant_priority(string appid, int priority);
	void set_delay(float seconds);

	void wakeup_candidate(wakeup_event_info wakeup_info);
	void timer_expired();
private:
	typedef struct {
		string appid;
		int priority{0};
	} PRIORITY_INFO;

	float mDelaySeconds{0.0f};
	vector<PRIORITY_INFO> mPriorityInfos;
	vector<wakeup_event_info> mWakeupInfos;

	Ecore_Timer *mTimer{nullptr};
};

} // wakeup
} // multiassistant

#endif /* _WAKEUP_POLICY_H_ */
