/*
 * Copyright 2018  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __MULTI_ASSISTANT_DBUS_h__
#define __MULTI_ASSISTANT_DBUS_h__

#ifdef __cplusplus
extern "C" {
#endif

int mas_dbus_open_connection();

int mas_dbus_close_connection();

int masc_dbus_send_hello(int pid);

int masc_dbus_send_error_message(int reason, const char* err_msg);

int masc_dbus_send_streaming_audio_data(int pid, int event, unsigned char* data, unsigned int data_size);

int masc_dbus_active_state_change(int pid, int state);

int masc_dbus_send_preprocessing_information(int pid, const char* app_id);

int masc_ui_dbus_send_hello(void);

int masc_ui_dbus_send_asr_result(int pid, int event, char* asr_result);

int masc_ui_dbus_send_result(int pid, const char* display_text, const char* utterance_text, const char* result_json);

int masc_ui_dbus_change_assistant(char* app_id);

int masc_ui_dbus_send_error_message(int reason, const char* err_msg);

int masc_ui_dbus_send_recognition_result(int pid, int result);

int masc_ui_dbus_enable_common_ui(int enable);

#ifdef __cplusplus
}
#endif

#endif	/* __MULTI_ASSISTANT_DBUS_h__ */
