/*
 * Copyright 2018  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __MULTI_ASSISTANT_DBUS_SERVER_H__
#define __MULTI_ASSISTANT_DBUS_SERVER_H__

#include <dbus/dbus.h>

#ifdef __cplusplus
extern "C" {
#endif

int ma_service_dbus_hello(DBusConnection* conn, DBusMessage* msg);

int ma_service_dbus_initialize(DBusConnection* conn, DBusMessage* msg);

int ma_service_dbus_deinitialize(DBusConnection* conn, DBusMessage* msg);

int ma_service_dbus_get_audio_format(DBusConnection* conn, DBusMessage* msg);

int ma_service_dbus_get_audio_source_type(DBusConnection* conn, DBusMessage* msg);

int ma_service_dbus_send_asr_result(DBusConnection* conn, DBusMessage* msg);

int ma_service_dbus_send_result(DBusConnection* conn, DBusMessage* msg);

int ma_service_dbus_send_recognition_result(DBusConnection* conn, DBusMessage* msg);

int ma_service_dbus_start_streaming_audio_data(DBusConnection* conn, DBusMessage* msg);

int ma_service_dbus_stop_streaming_audio_data(DBusConnection* conn, DBusMessage* msg);

int ma_service_dbus_update_voice_feedback_state(DBusConnection* conn, DBusMessage* msg);

int ma_service_dbus_send_assistant_specific_command(DBusConnection* conn, DBusMessage* msg);

int ma_service_dbus_set_background_volume(DBusConnection* conn, DBusMessage* msg);

int ma_service_dbus_set_preprocessing_allow_mode(DBusConnection* conn, DBusMessage* msg);

int ma_service_dbus_send_preprocessing_result(DBusConnection* conn, DBusMessage* msg);

int ma_service_ui_dbus_initialize(DBusConnection* conn, DBusMessage* msg);

int ma_service_ui_dbus_deinitialize(DBusConnection* conn, DBusMessage* msg);

int ma_service_ui_dbus_change_assistant(DBusConnection* conn, DBusMessage* msg);

#ifdef __cplusplus
}
#endif


#endif	/* __MULTI_ASSISTANT_DBUS_SERVER_H__ */
